- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# grove – Sends a notification to a grove.io channel

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- The `grove` module sends a message for a service to a Grove.io channel.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
channel_token - / required |  | Token of the channel to post to.
icon_url - |  | Icon for the service
message - / required |  | Message content
service - | Default: "ansible" | Name of the service (displayed as the "user" in the message)
url - |  | Service URL for the web client
validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    - grove: >
        channel_token=6Ph62VBBJOccmtTPZbubiPzdrhipZXtg
        service=my-app
        message=deployed {{ target }}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jonas Pfenniger (@zimbatm)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.